Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.simpleAccesstracking
Class AccessTrackingMeg

    java.lang.Object
      com.ibm.wbi.Meg
          com.ibm.wbi.Generator
              com.ibm.wbi.protocol.http.HttpGenerator
                  scone.simpleAccesstracking.AccessTrackingMeg

All Implemented Interfaces:
  java.util.EventListener, com.ibm.wbi.RequestListener, java.io.Serializable

public class AccessTrackingMeg
extends com.ibm.wbi.protocol.http.HttpGenerator

This meg creates the user logging entries in the access database.

If the user is unknown (no cookie ID to the host tracking.scone.de is set) a login screen is displayed

After the login, a cookie is set and from now on the userId from this cookie is used.

\n The meg is called when

1. a transfer is startet (filename = _start)
2. the page was loaded (filename = _load)
3. the page was left (filename = _stop)

\n The correcconding JavaScript-Code is inserted by the JavaScriptAdder.
The JS-methods stop() and loaded() calls are inserted by the BodyEventAdder.
onClick-events to all Links can be added by activating the LinkEventAdder.

To access the Scone parameters in your JavaScript-Code please use the following variables:

1. Scone_Parent_Name is the name of parent frame
2. Scone_Parent_Location is the URI of the parent frame
3. Scone_UserID is the current User ID

Version:
  1.1, 03/31/2003
Author:
  Harald Weinreich
See Also:
  Serialized Form

Field Summary
`static int` | `BACK`
`static int` | `BACKNEXTEX`
`static int` | `BOOKMARK`
`static int` | `FORMSUBMIT`
`static int` | `FRAGMENT`
`static int` | `HEURISTIC`
`static int` | `LINK`
`static int` | `NEWURL`
`static int` | `NEWWINDOW`
`static int` | `NEXT`
`static int` | `RELOAD`
`static int` | `SELFLINK`
`static int` | `SIMPLE`

Fields inherited from class com.ibm.wbi.protocol.http.HttpGenerator
`COPYRIGHT, http`

Fields inherited from class com.ibm.wbi.Meg
`EDITOR, GENERATOR, MONITOR, REQUEST_EDITOR, UNDEFINED`

Constructor Summary
`AccessTrackingMeg()`

Method Summary
`void` | `handleRequest(com.ibm.wbi.RequestEvent e)`

Methods inherited from class com.ibm.wbi.protocol.http.HttpGenerator
`add, addCookie, getContentType, getHttpResponse, getHttpResponseString, getResponseCode, getResponseText, isCache, produceHeader, set, setCache, setContentLength, setContentType, setResponseCode, setResponseText, setServer, writeHeader`

Methods inherited from class com.ibm.wbi.Generator
`getType`

Methods inherited from class com.ibm.wbi.Meg
`forwardRequest, getCondition, getEnabled, getMegProperty, getMegProperty, getMegPropertyKeys, getName, getPlugin, getPriority, getSystemContext, initialize, initialize, isEnabled, isMegApplicable, loadMegResources, run, setCondition, setEnabled, setMegProperty, setName, setPriority, setSystemContext, setup, setup, setup, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### FRAGMENT

    public static final int FRAGMENT

See Also:
  Constant Field Values

### SELFLINK

    public static final int SELFLINK

See Also:
  Constant Field Values

### FORMSUBMIT

    public static final int FORMSUBMIT

See Also:
  Constant Field Values

### RELOAD

    public static final int RELOAD

See Also:
  Constant Field Values

### BACK

    public static final int BACK

See Also:
  Constant Field Values

### NEXT

    public static final int NEXT

See Also:
  Constant Field Values

### BACKNEXTEX

    public static final int BACKNEXTEX

See Also:
  Constant Field Values

### NEWWINDOW

    public static final int NEWWINDOW

See Also:
  Constant Field Values

### BOOKMARK

    public static final int BOOKMARK

See Also:
  Constant Field Values

### HEURISTIC

    public static final int HEURISTIC

See Also:
  Constant Field Values

### NEWURL

    public static final int NEWURL

See Also:
  Constant Field Values

### SIMPLE

    public static final int SIMPLE

See Also:
  Constant Field Values

Constructor Detail

### AccessTrackingMeg

    public AccessTrackingMeg()

Method Detail

### handleRequest

    public void handleRequest(com.ibm.wbi.RequestEvent e)
                       throws com.ibm.wbi.RequestRejectedException

  Throws:
    `com.ibm.wbi.RequestRejectedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD